Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util.editors
Class MultiValueTableUI

    com.togethersoft.openapi.ide.inspector.util.editors.MultiValueUI
      |
      +--com.togethersoft.openapi.ide.inspector.util.editors.MultiValueTableUI

public class MultiValueTableUI
extends MultiValueUI
implements ActionListener

Represents MultiValue editor as a table.

Author:
  TogetherSoft

Constructor Summary
`MultiValueTableUI()` Creates this editor UI component with four buttons: Add, Remove, Ok, Cancel.

Method Summary
`void` | `actionPerformed(ActionEvent evt)` Handles only Cancel and Ok buttons.
`void` | `addValues(Vector valuesVector)` Populates itself from the given Vector.
`void` | `editValues(String title)` Opens dialog box to edit values.
`protected Object` | `getAtomicValueFromInspectorProperty(IdeInspectorProperty inspectorProperty)`
`protected IdeInspectorProperty` | `getInspectorPropertyFromAtomicValue(Object atomicValue)`
`Vector` | `getValues()` Returns Vector of Strings.

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.editors.MultiValueUI
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, removeCellEditorListener`

Constructor Detail

### MultiValueTableUI

    public MultiValueTableUI()

  Creates this editor UI component with four buttons: Add, Remove, Ok, Cancel.

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent evt)

  Handles only Cancel and Ok buttons.

### addValues

    public void addValues(Vector valuesVector)

  Populates itself from the given Vector. If getInspectorPropertyFromAtomicValue method is not overwritten, we think that given vector contains Strings.

### editValues

    public void editValues(String title)

  Opens dialog box to edit values.

### getAtomicValueFromInspectorProperty

    protected Object getAtomicValueFromInspectorProperty(IdeInspectorProperty inspectorProperty)

### getInspectorPropertyFromAtomicValue

    protected IdeInspectorProperty getInspectorPropertyFromAtomicValue(Object atomicValue)

### getValues

    public Vector getValues()

  Returns Vector of Strings.

Association Links

to Class com.togethersoft.openapi.ide.inspector.IdeInspectorPropertySetComponent

to Class java.lang.String

to Class javax.swing.JTable

to Class com.togethersoft.openapi.ide.window.IdeDialogButtonGroup

to Class javax.swing.JButton

to Class javax.swing.JButton

to Class javax.swing.JButton

to Class javax.swing.JButton

to Class javax.swing.JDialog

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD